<script>
  
  {*-- ここからjsでのデータ表示用 ---------------------------------------------------*}
  

  
  function do_AF883S() {
    let errflg = false;
    var frmh = $("#headerTop");
    common.clearFormError(frmh);
    var w_scday = common.getValue(frmh.find(".scday"));
    
  console.log("scday:"+w_scday);
	var frm = $("#headerTop");
    {*入力チェック*}
	if(stringUtil.isEmpty(common.getValue(frm.find(".ktktcd")))) {
		errflg = true;
		common.addError(frm.find(".ktktcd"), "入力してください", null, true);
	}     
	if(stringUtil.isEmpty(common.getValue(frm.find(".dats")))) {
		errflg = true;
		common.addError(frm.find(".dats"), "入力してください", null, true);
	}     

	if(errflg) {
		//$(".Func2").removeClass("noevent");
		alert("エラーがあります");
		return false;
	}
    

    if(window.confirm("【棚卸実績取込】を行います。よろしいですか？")) {
		var container = $(".container");
		sendData = {};
		sendData = common.getContainerInputData(container);
		common.postData(
			"./update.php"
			, sendData
			, function name(data) {
				console.log(data);
				console.log(data.ret);
				if (data.status == "OK") {
					let ret = parseInt(data.ret, 10)
					if (ret < 0) {
						if (ret == -8) { 
							alert("他の端末で実行中です"); 
						} else {
							alert("その他のエラーが発生しました"); 
						}
					} else {
						alert("棚卸実績取込を実行しました。"); 
					}
					console.log("reload");
					location.reload(); 
				}
			});
    }
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2 表示
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 廃止/取消
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       do_AF883S();
    });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    $("#headerTop").find(".keycd").focus();

    //MENUボタン===============================
    
    //=== header ===
    $(document).on("focus", "#headerTop .dummy", function(e) {
      $("#topmenu").find(".Func9").focus();
    });


    //=== body ===
    $(document).on("focus", "#detailTop .dummy", function(e) {
      $("#topmenu").find(".Func8").focus();
    });


    //=== footer ===

  });

</script>
